Safely update php 5.3.3 to >=5.3.4 on centos 6

Dreaded semicolon asked:

Would the following works fine without any issues? I have apc cache installed, the other packages the usual php configuration.

 yum update php

would that be enough?

it is an active server, so want to make sure and see what should I take into consideration to make this less painful.

My answer:


For people running PHP-based web sites, it’s almost always required to track bug fix changes as well as the security fixes that Red Hat might provide. As you know they rarely provide bug fix updates, due to “enterprise” version locking, even for something like PHP where you really need them.

On my production web servers I have used the remi repository for many years. It provides current versions of PHP, MySQL, Symfony, and many related packages that need such updates on a regular basis. As of this writing, it provides PHP 5.4.33 and MySQL 5.5.40. (PHP 5.5 is available in remi-php55.)

The main difference you will notice is that your PHP bugs start going away… 🙂


View the full question and answer on Server Fault.

Creative Commons License
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.